=== modified file 'lib/lp/bugs/mail/tests/test_bug_task_assignment.py'
--- lib/lp/bugs/mail/tests/test_bug_task_assignment.py	2011-09-04 11:13:23 +0000
+++ lib/lp/bugs/mail/tests/test_bug_task_assignment.py	2011-09-05 13:15:05 +0000
@@ -67,19 +67,20 @@
 
     def test_self_assignee_notification_message(self):
         """Test notification string when a person is assigned a task by
-           someone else."""
-        self.assertEqual(len(stub.test_emails), 0, 'emails in queue')
+           themselves."""
+        stub.test_emails = []
         self.bug_task.transitionToAssignee(self.user)
         notify(ObjectModifiedEvent(
             self.bug_task, self.bug_task_before_modification,
             edited_fields=['assignee']))
         transaction.commit()
-        self.assertEqual(len(stub.test_emails), 1, 'email not sent')
+        self.assertEqual(1, len(stub.test_emails))
         rationale = (
             'You have assigned this bug to yourself for Rebirth')
-        msg = stub.test_emails[-1][2]
-        self.assertTrue(rationale in msg,
-                        '%s not in\n%s\n' % (rationale, msg))
+        [email] = stub.test_emails
+        # Actual message is part 2 of the e-mail.
+        msg = email[2]
+        self.assertIn(rationale, msg)
 
     def test_assignee_not_a_subscriber(self):
         """Test that a new recipient being assigned a bug task does send

